Bug 849341 - kernel 3.5.1 and 3.5.2 fails to boot
kernel 3.5.1 and 3.5.2 fails to boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 10:30 EDT by Sam Varshavchik
Modified: 2013-07-31 22:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:16:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel 3.5.2 boot stops at this point. No further messages appear. (960.92 KB, image/jpeg)
2012-08-18 10:30 EDT, Sam Varshavchik
no flags Details
Output of dmidecode (30.15 KB, text/plain)
2012-08-18 10:33 EDT, Sam Varshavchik
no flags Details
Output of lspci -vv (79.89 KB, text/plain)
2012-08-18 10:34 EDT, Sam Varshavchik
no flags Details
Output of lspci -n (2.52 KB, text/plain)
2012-08-18 10:34 EDT, Sam Varshavchik
no flags Details
Output of lsusb -v (41.28 KB, text/plain)
2012-08-18 10:36 EDT, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2012-08-18 10:30:32 EDT
Created attachment 605331 [details]
Kernel 3.5.2 boot stops at this point. No further messages appear.

Kernels 3.5.1 and 3.5.2 hang before switching to userspace, and running plymouth.

kernel-3.5.1-1.fc17.x86_64 occasionally boots if I remove the rhgb and quiet parameter.

kernel-3.5.2-1.fc17.x86_64 fails to boot even without rhgb and quiet.

Last kernel this hardware can boot is kernel-3.5.0-2.fc17.x86_64

Attaching a screenshot of kernel-3.5.2-1.fc17.x86_64's boot, up until the point it hangs.
Comment 1 Sam Varshavchik 2012-08-18 10:33:18 EDT
Created attachment 605332 [details]
Output of dmidecode
Comment 2 Sam Varshavchik 2012-08-18 10:34:07 EDT
Created attachment 605333 [details]
Output of lspci -vv
Comment 3 Sam Varshavchik 2012-08-18 10:34:47 EDT
Created attachment 605334 [details]
Output of lspci -n
Comment 4 Sam Varshavchik 2012-08-18 10:36:41 EDT
Created attachment 605335 [details]
Output of lsusb -v
Comment 5 Sam Varshavchik 2012-08-18 10:39:36 EDT
This hardware uses nouveau, and does not use the oem blob.
Comment 6 Josh Boyer 2012-10-08 11:12:38 EDT
Are you still seeing this with 3.5.5 or 3.6?
Comment 7 Sam Varshavchik 2012-10-08 18:15:26 EDT
Yes, I'm afraid there's still a deadlock somewhere, with the "terminal output gfxterm" option enabled in grub.

After taking out that option, kernels 3.5.2 through 3.5.4 never had a boot failure.

After updating to kernel-3.5.5-2.fc17.x86_64 and putting "terminal output gfxterm" back into grub.cfg, the kernel failed to boot in 3 out of 7 attempts.

The cursor timer fix does seem to help, it got so bad that 3.5.2 pretty much failed to boot all the time.

Haven't yet gathered enough stats for 3.5.5 without "terminal output gfxterm", but so far it seems to be ok.

When 3.5.5 does not deadlock, there's a point where the video card resets, there's brief amount of display garbage and the video noticably changes frequencies.

When 3.5.5, and all earlier kernels, deadlock, the deadlock occurs before that video reset.
Comment 8 Josh Boyer 2013-01-02 12:49:31 EST
Is this still an issue with 3.6.X?
Comment 9 Sam Varshavchik 2013-01-03 20:21:46 EST
I'm afraid so.

* Uncommented "terminal_output gfxterm" directive in grub.cfg

* Rebooted kernel-3.6.10-2.fc17.x86_64 twice, successfully.

* The next three reboots, the kernel locked up when switching video modes.

* Manually removed 'rhgb quiet' from the kernel command line on two subsequent reboots. Both reboots locked up at the "conflicting hw framebuffer" message that's shown in the screencap, see above.

* Dug out my rescue disk, booted Anaconda, mounted my partition, commented out "terminal_output gfxterm".

* Successfully rebooted.

Never logged this boot failure, in the last four months, with "terminal_output gfxterm" commented out, with all intervening kernels.
Comment 10 Fedora End Of Life 2013-07-03 19:30:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 22:16:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.